﻿@model Cines.Models.PeliculaDocumental

@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>


@using (Html.BeginForm("Create", "PeliculaDocumental", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>PeliculaDocumental</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Nombre, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Nombre, new { htmlAttributes = new { @class = "form-control", required = "required", maxlength = "60" } })
                @Html.ValidationMessageFor(model => model.Nombre, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.DuracionMinutos, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.DuracionMinutos, new { htmlAttributes = new { @class = "form-control", min = "1", max = "360" } })
                @Html.ValidationMessageFor(model => model.DuracionMinutos, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Sinopsis, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Sinopsis, new { htmlAttributes = new { @class = "form-control", maxlength = "500" } })
                @Html.ValidationMessageFor(model => model.Sinopsis, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.TemaId, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <select name="TemaId">
                    @foreach (var t in ViewBag.Temas)
                    {
                        <option value="@t.Id">@t.Nombre</option>
                    }
                </select>
            </div>
        </div>



        <div class="form-group">
            @Html.LabelFor(model => model.Imagen, htmlAttributes: new { @class = "control-label col-md-2" })
            @Html.TextBoxFor(model => model.Imagen, new { Type = "File", required = "required" })
            @Html.ValidationMessageFor(model => model.Imagen)
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Crear" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    <a href="/Peliculas/Create">Volver</a>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
